Bug 1285679 - LbaasV2 - LB creation Failure
LbaasV2 - LB creation Failure
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron-lbaas (Show other bugs)
8.0 (Liberty)
x86_64 Linux
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Nir Magnezi
Shai Revivo
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 04:08 EST by Alexander Stafeyev
Modified: 2016-06-13 08:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-07 05:18:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Stafeyev 2015-11-26 04:08:09 EST
Description of problem:
After executing lbaasv2 activation steps ( https://mojo.redhat.com/docs/DOC-1032130 - worked well for kilo) I tried to create LB. 

"neutron lbaas-loadbalancer-create  0414a04e-f7fe-42eb-8c2f-5abd8684b58c
404 Not Found

The resource could not be found."

Neutron agent-list command show lbaas agent as "xxx" and lbaasv2 agent is not shown ( was shown in Kilo) 

Version-Release number of selected component (if applicable):

python-neutron-7.0.0-4.el7ost.noarch
python-neutron-fwaas-7.0.0-1.el7ost.noarch
python-neutron-lbaas-7.0.0-2.el7ost.noarch
python-neutronclient-3.1.0-1.el7ost.noarch
openstack-neutron-lbaas-7.0.0-2.el7ost.noarch
openstack-neutron-7.0.0-4.el7ost.noarch
openstack-neutron-openvswitch-7.0.0-4.el7ost.noarch
openstack-neutron-common-7.0.0-4.el7ost.noarch
openstack-neutron-fwaas-7.0.0-1.el7ost.noarch
openstack-neutron-ml2-7.0.0-4.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1. Install openstack with packstack ( make sure CONFIG_LBAAS_INSTALL=y in answerfile) 
2.Enable lbaasv2, create internal net and subnet. 
https://mojo.redhat.com/docs/DOC-1032130

3. run - neutron lbaas-loadbalancer-create VIPSUBNETID 

( internal subnet) 

Actual results:
"neutron lbaas-loadbalancer-create  0414a04e-f7fe-42eb-8c2f-5abd8684b58c
404 Not Found

The resource could not be found."

Expected results:
Loadbalancer should be created. 

Additional info:
Logs: 
http://pastebin.com/LLz3BKFy
Comment 3 Assaf Muller 2016-06-03 21:22:17 EDT
Still relevant?
Comment 4 Alexander Stafeyev 2016-06-05 01:57:19 EDT
(In reply to Assaf Muller from comment #3)
> Still relevant?

Nope- 
Works on Liberty
Comment 5 Alexander Stafeyev 2016-06-05 01:58:12 EDT
will verify again anyway
Comment 6 Nir Magnezi 2016-06-05 08:43:25 EDT
Hi Alex,
Please let me know if there is any action needed here.
This seems like something you guys will catch on sanity tests.
Comment 7 Assaf Muller 2016-06-05 10:03:04 EDT
Closing, please re-open if needed.

Note You need to log in before you can comment on or make changes to this bug.